<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.resource-adapters.resource-adapter.admin-objects.config-properties">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="value"/>
        <elem name="addr-params" value="profile,subsystem,resource-adapter,admin-objects,config-properties"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.resource-adapters"/>
    </annotation>
    <refs>
        <ref feature="subsystem.resource-adapters.resource-adapter.admin-objects"/>
        <ref feature="subsystem.resource-adapters.resource-adapter"/>
        <ref feature="subsystem.resource-adapters"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="config-properties" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="resource-adapters"/>
        <param name="value" nillable="true"/>
        <param name="resource-adapter" feature-id="true"/>
        <param name="admin-objects" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>